aboutsummaryrefslogtreecommitdiffstats
path: root/yardstick/benchmark/scenarios/networking/sfc_pre_setup.bash
diff options
context:
space:
mode:
authorRicardo Noriega <ricardo.noriega.de.soto@ericsson.com>2016-01-19 17:41:22 +0100
committerJörgen Karlsson <jorgen.w.karlsson@ericsson.com>2016-01-29 18:28:12 +0000
commit805aaa50d226e8c91b69af0252aef68eda1551c3 (patch)
tree86fabb60b05b71e8e632887b31c69512577b93a6 /yardstick/benchmark/scenarios/networking/sfc_pre_setup.bash
parentf879c91a15dfd0de24367dd098c8c796851f9769 (diff)
Service Function Chaining test cases
Change-Id: Id4c8b1bc05e768bdb2b8f17798f13f4d83dcd9d6 Signed-off-by: Ricardo Noriega <ricardo.noriega.de.soto@ericsson.com>
Diffstat (limited to 'yardstick/benchmark/scenarios/networking/sfc_pre_setup.bash')
-rwxr-xr-xyardstick/benchmark/scenarios/networking/sfc_pre_setup.bash9
1 files changed, 9 insertions, 0 deletions
diff --git a/yardstick/benchmark/scenarios/networking/sfc_pre_setup.bash b/yardstick/benchmark/scenarios/networking/sfc_pre_setup.bash
new file mode 100755
index 000000000..fcc225504
--- /dev/null
+++ b/yardstick/benchmark/scenarios/networking/sfc_pre_setup.bash
@@ -0,0 +1,9 @@
+#!/bin/bash
+set -e
+
+# download and create image
+wget https://www.dropbox.com/s/focu44sh52li7fz/sfc_cloud.qcow2
+glance image-create --name sfc --disk-format qcow2 --container-format bare --file sfc_cloud.qcow2
+
+#create flavor
+nova flavor-create --is-public true sfc_custom 666 1000 5 2